org.mariadb.jdbc.internal.common.packet.buffer

## Class WriteBuffer

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.buffer.WriteBuffer

    public class WriteBuffer
    extends Object

. User: marcuse Date: Jan 16, 2009 Time: 8:10:24 PM

### Constructor Summary

Constructors
Constructor and Description
`WriteBuffer()`
`WriteBuffer(int bufferSize)`

### Method Summary

Methods
`byte[]` `getBuffer()`
`int` `getLength()`
`byte[]` `getLengthWithPacketSeq(byte packetNumber)`
`static byte[]` `intToByteArray(int l)`
`static byte[]` `longToByteArray(long l)`
`byte[]` `toByteArrayWithLength(byte packetNumber)`
`WriteBuffer` `writeByte(byte theByte)`
`WriteBuffer` `writeByteArray(byte[] bytes)`
`WriteBuffer` `writeBytes(byte theByte, int count)`
`WriteBuffer` `writeInt(int theInt)`
`WriteBuffer` `writeShort(short theShort)`
`WriteBuffer` `writeString(String str)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriteBuffer

    public WriteBuffer()

#### WriteBuffer

    public WriteBuffer(int bufferSize)

### Method Detail

#### writeByte

    public WriteBuffer writeByte(byte theByte)

#### writeByteArray

    public WriteBuffer writeByteArray(byte[] bytes)

#### writeBytes

    public WriteBuffer writeBytes(byte theByte,
                         int count)

#### writeShort

    public WriteBuffer writeShort(short theShort)

#### writeInt

    public WriteBuffer writeInt(int theInt)

#### writeString

    public WriteBuffer writeString(String str)

#### getLengthWithPacketSeq

    public byte[] getLengthWithPacketSeq(byte packetNumber)

#### getBuffer

    public byte[] getBuffer()

#### toByteArrayWithLength

    public byte[] toByteArrayWithLength(byte packetNumber)

#### intToByteArray

    public static byte[] intToByteArray(int l)

#### longToByteArray

    public static byte[] longToByteArray(long l)

#### getLength

    public int getLength()